# This file needs editing before it will pass any checks and plans

# the name of your datacenter
# Change 'Default' to the correct name
data "vsphere_datacenter" "datacenter" {
  name = "Default"
}

# find the template/vm for cloning
# change 'ubuntu2204-template-20230801' to the correct name
data "vsphere_virtual_machine" "k8s" {
  name          = "ubuntu2204-template-20230801"
  datacenter_id = data.vsphere_datacenter.datacenter.id
}

# the name of your resource pool 
# change 'Default' to the correct name
data "vsphere_resource_pool" "pool" {
  name          = "Default/Resources"
  datacenter_id = data.vsphere_datacenter.datacenter.id
}

# VLANing baby - you may have just one
# change 'vSwitch70' to the correct name
data "vsphere_network" "exterior" {
  name          = "vSwitch70"
  datacenter_id = data.vsphere_datacenter.datacenter.id
}

# NFS network
# change 'vSwitch91' to the correct name
# data "vsphere_network" "interior" {
#   name          = "vSwitch91"
#   datacenter_id = data.vsphere_datacenter.datacenter.id
# }


# your folder within vSphere
# And finally, change 'Kubernetes' to your VM and Template folder
# destination
data "vsphere_folder" "k8s" {
  path = "Kubernetes"
}
