# hosting .. hosts

# Your VM username for login over ssh
variable "vm_username" {
  type    = string
  default = "linux-user"
}

#####
# Basically:
#   hostname
#   domain name
#   ipv4 primary IP
#   ipv4 primary netmask
#   ipv4 primary gateway
#   ipv6 primary IP
#   ipv6 primary netmask
#   ipv6 primary gateway
#   don't remember :(
#   the datastore-xxxxx ID (manual placement by me)
#   ipv4 secondary IP (I use secondary network for NFS on another VLAN)
#   ipv4 secondary netmask
#   ipv6 secondary IP
#   ipv6 secondary netmask
#####

###
# the workers block
###
variable "k8s_instance_workers" {
  type = list(tuple([string, string, string, number, string, string, number, string, number, string, string, number, string, number]))
  default = [
    ["worker1", "example.com", "192.168.7.65", 22, "192.168.7.254", "fc00:beef:c0ff:70::65", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12346", "192.168.8.65", 22, "fc00:beef:c0ff:91::65", 64],
    ["worker2", "example.com", "192.168.7.66", 22, "192.168.7.254", "fc00:beef:c0ff:70::66", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12347", "192.168.8.66", 22, "fc00:beef:c0ff:91::66", 64],
    ["worker3", "example.com", "192.168.7.67", 22, "192.168.7.254", "fc00:beef:c0ff:70::67", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12346", "192.168.8.67", 22, "fc00:beef:c0ff:91::67", 64],
  ]
}

###
# the etcd/control-plane block
# or not - up to you
###

variable "k8s_instance_etcd" {
  type = list(tuple([string, string, string, number, string, string, number, string, number, string, string, number, string, number]))
  default = [
    ["cp1", "example.com", "192.168.7.129", 22, "192.168.7.254", "fc00:beef:c0ff:70::129", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12346", "192.168.8.129", 22, "fc00:beef:c0ff:91::129", 64],
    ["cp2", "example.com", "192.168.7.130", 22, "192.168.7.254", "fc00:beef:c0ff:70::130", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12347", "192.168.8.130", 22, "fc00:beef:c0ff:91::130", 64],
    ["cp3", "example.com", "192.168.7.131", 22, "192.168.7.254", "fc00:beef:c0ff:70::131", 64, "fc00:beef:c0ff:70::ffff", 0, "datastore-12384", "192.168.8.131", 22, "fc00:beef:c0ff:91::131", 64],
  ]
}
